--- title: "Set event notifications" slug: "media-livestation-event-notification" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-event-notification" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set event notifications Available in Classic and VPC Set up SMS or email notifications to be sent to the admin when an event occurs on a general live channel. Note When setting up event notifications, see the following: - If you set event notifications with the API instead of the NAVER Cloud Platform console, you can set only one of the following reception types: SMS or email. - To change the reception type, call the API again. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/notification/{channelId}/for-general-channel | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `alertOn` | Boolean | Required | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `alertChangeStatus` | Boolean | Optional | Channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertVodUploadFail` | Boolean | Optional | Recording file upload failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertReStreamFail` | Boolean | Optional | Re-stream relay failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertShortClipFail` | Boolean | Optional | Short clip creation failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertStreamFailOver` | Boolean | Optional | Main stream switch notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertGeneralChannelError` | Boolean | Optional | Streaming failure error notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `notificationManagerList` | Array | Required | Notification recipient list: [notificationManagerList](/docs/en/media-livestation-event-notification#notificationManagerList) | #### `notificationManagerList` The following describes `notificationManagerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `emailAddress` | String | Conditional | Admin email address - Required if `notifyType` is `EMAIL` | | `cellPhoneNo` | String | Conditional | Admin mobile phone number - Required if `notifyType` is `SMS` | | `managerNo` | Integer | Required | Admin number - See [Get admin](/docs/en/media-livestation-event-managerlist). | | `notifyType` | String | Required | Reception type - `EMAIL` \| `SMS` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/notification/ls-20250814******-zTwK2/for-general-channel' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data-raw '{ "alertOn": true, "alertChangeStatus": true, "alertVodUploadFail": true, "alertReStreamFail": false, "alertShortClipFail": true, "alertStreamFailOver": true, "alertGeneralChannelError": true, "notificationManagerList": [ { "emailAddress": "ghdrlfehd@navercloud.com", "cellPhoneNo": "01012345678", "managerNo": ******, "notifyType": "SMS" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelId` | String | - | Channel ID | | `content.alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.alertChangeStatus` | Boolean | - | Channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertVodUploadFail` | Boolean | - | Recording file upload failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertReStreamFail` | Boolean | - | Re-stream relay failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertShortClipFail` | Boolean | - | Short clip creation failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertStreamFailOver` | Boolean | - | Main stream switch notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.reStreamFailThreshold` | Integer | - | Notification condition (base count) | | `content.alertGeneralChannelError` | Boolean | - | Streaming failure error notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.updatedTime` | Integer | - | Update date and time (millisecond) - Unix timestamp format | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250814******-zTwK2", "alertOn": true, "alertChangeStatus": true, "alertVodUploadFail": true, "alertReStreamFail": false, "alertShortClipFail": true, "alertStreamFailOver": true, "reStreamFailThreshold": 2, "alertGeneralChannelError": true, "updatedTime": 1755762842073 } } ```